\chapter{Notes} % Main chapter title

\label{Notes}

%----------------------------------------------------------------------------------------
%	PREAMBLE
%----------------------------------------------------------------------------------------

Notes are extremely useful during development of the thesis. Notes are colour coded with 4 main types. A table at the start of the document lists (hyper-linked) each note and the corresponding page it belongs to. This makes it super easy to find in large documents. When the document is in the final version mode (set in the class options), TODO notes are automatically disabled such that they are not included in the print.

\noindent The first note type\info{Some extra info here} is an \textbf{info} note. It can be produced with the following code:\\
\displaycoderaw{\info{Some extra info here}}


\noindent The second note type\unsure{Very unsure about this text!} is an \textbf{unsure} note. It can be produced with the following code:\\
\displaycoderaw{\unsure{Description on what you are unsure on}}


\noindent The third note type\change{Something needs to be changed} is a \textbf{change} note. It can be produced with the following code:\\
\displaycoderaw{\change{Description on what needs changing}}


\noindent The fourth note type\improvement{Some room for improvement here} is an \textbf{improvement} note. It can be produced with the following code:\\
\displaycoderaw{\improvement{Description on what needs improving}}\\


\noindent A fancy note arrow\infof{This margin note has a fancy arrow} can be created using an f after the note nametype. E.g. an info note would be:\\
\displaycoderaw{\infof{Fancy info note}}

\newpage{}

\noindent Inline notes can also be created. E.g. an inline info note would be:
\info[inline]{A a note in a line by itself.}
\noindent which is created using:\\
\displaycoderaw{\info[inline]{Inline note description.}}\\

Alternatively, you can outline any \concern{concerning text} with this function:\\
\displaycoderaw{\concern{the concerning text}}

%----------------------------------------------------------------------------------------
%	SECTIONS
%----------------------------------------------------------------------------------------

% NONE